Bug 37968 - EDITING Elbow connector adjustment lost when pasting drawing from Draw to Writer
Summary: EDITING Elbow connector adjustment lost when pasting drawing from Draw to Writer
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.3.2 release
Hardware: x86 (IA32) All
: lowest trivial
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-06-06 00:14 UTC by Christopher M. Penalver
Modified: 2014-08-02 18:13 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
drawing.odg (9.20 KB, application/vnd.oasis.opendocument.graphics)
2011-06-06 00:14 UTC, Christopher M. Penalver
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Christopher M. Penalver 2011-06-06 00:14:11 UTC
Created attachment 47581 [details]
drawing.odg

Downstream bug may be found at:
https://bugs.launchpad.net/ubuntu/+source/libreoffice/+bug/516069

OOo bug may be found at:
http://openoffice.org/bugzilla/show_bug.cgi?id=108997

1) lsb_release -rd
Description: Ubuntu 11.04
Release: 11.04

2) apt-cache policy libreoffice-draw
libreoffice-draw:
  Installed: 1:3.3.2-1ubuntu5
  Candidate: 1:3.3.2-1ubuntu5
  Version table:
 *** 1:3.3.2-1ubuntu5 0
        500 http://us.archive.ubuntu.com/ubuntu/ natty-updates/main i386 Packages
        100 /var/lib/dpkg/status
     1:3.3.2-1ubuntu4 0
        500 http://us.archive.ubuntu.com/ubuntu/ natty/main i386 Packages

apt-cache policy libreoffice-writer
libreoffice-writer:
  Installed: 1:3.3.2-1ubuntu5
  Candidate: 1:3.3.2-1ubuntu5
  Version table:
 *** 1:3.3.2-1ubuntu5 0
        500 http://us.archive.ubuntu.com/ubuntu/ natty-updates/main i386 Packages
        100 /var/lib/dpkg/status
     1:3.3.2-1ubuntu4 0
        500 http://us.archive.ubuntu.com/ubuntu/ natty/main i386 Packages

3) What is expected to happen with LibreOffice Draw via the Terminal:

cd ~/Desktop && wget http://launchpadlibrarian.net/38666664/drawing.odg && lodraw -nologo drawing.odg

open a blank Writer file, copy the picture in the Draw file into Writer and it looks as it does in Draw.

4) What happens instead is the elbow connectors where the middle segment of the connector has been adjusted to route around other shape is not preserved ( http://launchpadlibrarian.net/38666679/oo-elbow-connector-paste-screenshot.png ).
Comment 1 Björn Michaelsen 2011-12-23 12:07:21 UTC
[This is an automated message.]
This bug was filed before the changes to Bugzilla on 2011-10-16. Thus it
started right out as NEW without ever being explicitly confirmed. The bug is
changed to state NEEDINFO for this reason. To move this bug from NEEDINFO back
to NEW please check if the bug still persists with the 3.5.0 beta1 or beta2 prereleases.
Details on how to test the 3.5.0 beta1 can be found at:
http://wiki.documentfoundation.org/QA/BugHunting_Session_3.5.0.-1

more detail on this bulk operation: http://nabble.documentfoundation.org/RFC-Operation-Spamzilla-tp3607474p3607474.html
Comment 2 Christopher M. Penalver 2012-01-04 01:15:25 UTC
Reproducible in:
LOdev 3.5.0beta2 
Build ID: 8589e48-760cc4d-f39cf3d-1b2857e-60db978
Microsoft Windows Vista Business 6.0.6002 Service Pack 2 Build 6002
Comment 3 A (Andy) 2013-05-03 21:22:17 UTC
reproducible with LO 4.0.2.2 (Win7 Home, 64bit)

Steps Done:
1. Open the attached file in DRAW
2. Select/mark with the mouse pointer all graphical elements in DRAW
3. Copy it (Ctrl + C)
4. Open a new document in WRITER
5. Paste the drawing (Ctrl + V)

Result: The red connector line is displaced.
Comment 4 Luke 2014-08-02 18:12:52 UTC
Version: 4.2.4.2
Build ID: 420m0(Build:2)
Comment 5 Luke 2014-08-02 18:13:12 UTC
Confirmed fixed